%define version 0.9
%define release 2mdk

%define prefix /usr

Summary: System for layout and rendering of internationalized text
Name: pango
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Internationalization
Source: http://www.pango.org/download/pango-%{version}.tar.bz2
URL: http://www.pango.org/
BuildRoot: /var/tmp/pango-%{PACKAGE_VERSION}-root
Obsoletes: gscript

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: System/Libraries
Requires: pango = %{PACKAGE_VERSION}
Requires: libunicode-devel
Requires: fribidi-devel
Requires: XFree86-devel

%description devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --sysconfdir=/etc --localstatedir=/var

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/lib/pango
( cd $RPM_BUILD_ROOT%{prefix}/lib/pango/modules/
  LD_PRELOAD=$RPM_BUILD_ROOT%{prefix}/lib/libpango.so \
  	$RPM_BUILD_ROOT%{prefix}/bin/pango-querymodules *.so | \
	sed "s|$RPM_BUILD_ROOT||" > $RPM_BUILD_ROOT/var/lib/pango/pango.modules
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{prefix}/bin/pango-querymodules %{prefix}/lib/pango/modules/*.so > /var/lib/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%{prefix}/lib/libpango*-*.so
%{prefix}/bin/pango-querymodules
%{prefix}/bin/pango-viewer
%dir %{prefix}/lib/pango
%dir %{prefix}/lib/pango/modules
%{prefix}/lib/pango/modules/*.so
%dir /etc/pango
%config /etc/pango/pangox_aliases
%dir /var/lib/pango
/var/lib/pango/pango.modules

%files devel
%defattr(-, root, root)
%{prefix}/bin/pango-config
%{prefix}/lib/libpango.so
%{prefix}/lib/libpangox.so
%{prefix}/lib/libpango*.a
#%{prefix}/lib/pango/modules/*.a
%{prefix}/include/*

%changelog
* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file


